https://bugs.gentoo.org/864771
https://github.com/shemminger/iproute2/commit/cf6b60c504d4be5e1df2b2745e55d677967831d0
https://github.com/shemminger/iproute2/commit/28c740473510cd911b97cc5d7d23bd809a0f200b

From cf6b60c504d4be5e1df2b2745e55d677967831d0 Mon Sep 17 00:00:00 2001
From: Changhyeok Bae <changhyeok.bae@gmail.com>
Date: Tue, 9 Aug 2022 04:01:05 +0000
Subject: [PATCH] ipstats: Add param.h for musl

Fix build error for musl
| /usr/src/debug/iproute2/5.19.0-r0/iproute2-5.19.0/ip/ipstats.c:231: undefined reference to `MIN'

Signed-off-by: Changhyeok Bae <changhyeok.bae@gmail.com>
--- a/ip/ipstats.c
+++ b/ip/ipstats.c
@@ -1,6 +1,7 @@
 // SPDX-License-Identifier: GPL-2.0+
 #include <assert.h>
 #include <errno.h>
+#include <sys/param.h>
 
 #include "list.h"
 #include "utils.h"

From 28c740473510cd911b97cc5d7d23bd809a0f200b Mon Sep 17 00:00:00 2001
From: Stephen Hemminger <stephen@networkplumber.org>
Date: Tue, 9 Aug 2022 13:27:33 -0700
Subject: [PATCH] ipstats: add missing headers

IWYU reports several headers are not explicitly
included by ipstats.

Signed-off-by: Stephen Hemminger <stephen@networkplumber.org>
--- a/ip/ipstats.c
+++ b/ip/ipstats.c
@@ -1,7 +1,11 @@
 // SPDX-License-Identifier: GPL-2.0+
+#include <alloca.h>
 #include <assert.h>
 #include <errno.h>
+#include <stdio.h>
+#include <string.h>
 #include <sys/param.h>
+#include <sys/socket.h>
 
 #include "list.h"
 #include "utils.h"

